<?php
	if (isset($_POST['k1'])) {
		date_default_timezone_set('Europe/Warsaw');
		require_once('../../wiras_php/wa_baza/wa_polacz.php');
		$p = $_POST['k1'];

		if ($_POST['k2']==0) {
			$zap = "Select * FROM gry_reflit WHERE status=0 ORDER BY wynik ASC Limit 20";
		}
		if ($_POST['k2']==1) {
			$zap = "Select * FROM gry_reflit ORDER BY wynik ASC Limit 20";
		}
		if ($_POST['k2']==2) {
			$zap = "Select * FROM gry_reflit WHERE nazwa='$p' ORDER BY wynik ASC";
		}	
		$pobierz = mysqli_query($db, $zap);
		$wynik = array();
		while ($wiersz = mysqli_fetch_row($pobierz)) 
		{
			$wynik[] = $wiersz;
		}
		$lr = count($wynik);
		
		$tw1='<p id="napis2_refl">Lp</p>';
		for ($i=0; $i<$lr; $i++) {
			$tw1=$tw1.($i+1).'<br />';
		}
		
		$tw2='<p id="napis2_refl">Nazwa</p>';
		for ($i=0; $i<$lr; $i++) {
			$tw2=$tw2.$wynik[$i][1].'<br />';
		}
		
		$tw3='<p id="napis2_refl">Wynik</p>';
		for ($i=0; $i<$lr; $i++) {
			$tw3=$tw3.$wynik[$i][3].'<br />';
		}
		
		$tw4='<p id="napis2_refl">Data</p>';
		for ($i=0; $i<$lr; $i++) {
			$tw4=$tw4.$wynik[$i][4].'<br />';
		}
		$tab[0]=$tw1;
		$tab[1]=$tw2;
		$tab[2]=$tw3;
		$tab[3]=$tw4;
		echo json_encode($tab);
		unset($_POST['k1']);
		unset($_POST['k2']);
		unset($tab);
		unset($wynik);
		mysqli_free_result($pobierz);
	}
?>
